SDL_LoadFile(3)

NAME
SDL_LoadFile - Load all the data from a file path.

HEADER FILE
Defined in SDL3/SDL_iostream.h

SYNOPSIS
#include "SDL3/SDL.h"

void * SDL_LoadFile(const char *file, size_t *datasize);

DESCRIPTION
The data is allocated with a zero byte at the end (null terminated) for convenience. This extra byte is not included in the value reported via datasize .

The data should be freed with SDL_free ().

FUNCTION PARAMETERS

file
    the path to read all available data from.

datasize
    if not NULL, will store the number of bytes read.

RETURN VALUE
Returns the data or NULL on failure; call

SDL_GetError () for more information.

THREAD SAFETY
This function is not thread safe.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
•(3), SDL_LoadFile_IO(3), •(3), SDL_SaveFile(3)